// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef TILESET_H
#define TILESET_H

#include <string>
#include <vector>
#include <SDL.h>
#include "xmlhelper.h"
#include "Tile.h"
#include <sigc++/sigc++.h>

class TileSet : public SigC::Object
{
    public:
        TileSet(std::string fileName);
        ~TileSet();

        // ACCESSORS
        std::string getName(){return d_name;}
        std::string getInfo(){return d_info;}
        int getTileSize(){return d_tileSize;}
        Tile* getTile(int idx){return tiles[idx];}

        // CALLBACKS
        bool loadTile(std::string, XML_Helper* helper);
        bool loadTileSet(std::string, XML_Helper* helper);
	
    private:
        void createTiles(Tile* tile, int row);

        // DATA
        std::string d_name;
        std::string d_info;
        int d_tileSize;
        SDL_Surface* d_surface;
        std::vector<Tile*> tiles;
};

#endif // TILESET_H

// End of file
