
#include "hero.h"
#include "armyset.h"

Hero::Hero(Armyset* armyset, int type, std::string name, Player* owner)
    :Army(armyset, type, owner), d_name(name)
{
}

Hero::Hero(Armyset* armyset, int type, XML_Helper* helper)
    :Army(armyset, type, helper)
{
    helper->getData(d_name, "name");
}

Hero::Hero(Hero& h)
    :Army(h)
{
    d_name = h.d_name;
}

bool Hero::save(XML_Helper* helper)
{
    bool retval = true;

 	retval &= helper->openTag("hero");
	retval &= helper->saveData("id", d_id);
	retval &= helper->saveData("type", d_type);
	retval &= helper->saveData("hp", d_hp);
	retval &= helper->saveData("moves", d_moves);
	retval &= helper->saveData("strength", d_strength);
	retval &= helper->saveData("xp", d_xp);
	retval &= helper->saveData("level", d_level);
	retval &= helper->saveData("blessed", d_blessed);
    retval &= helper->saveData("name", d_name);
	retval &= helper->closeTag();

    return retval;
}
