//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef HERO_H
#define HERO_H

#include <string>

#include "army.h"

/* The hero class is currently in its beginning stage. It only holds the hero's
 * name for now, but that already prepares the path for later implementations
 */

class Hero : public Army
{
    public:
        Hero(Armyset* armyset, int type, std::string namei, Player* owner);
        Hero(Armyset* armyset, int type, XML_Helper* helper);
        Hero(Hero& h);
        ~Hero();

        bool save(XML_Helper* helper);

        bool isHero() {return true;}

        void setName(std::string newname) {d_name = newname;}
        std::string getName() {return d_name;}

    private:
        std::string d_name;
};

#endif //HERO_H
